#include "GLContext.h"

const SDL_GLattr RED_SIZE = SDL_GL_RED_SIZE,
    GREEN_SIZE = SDL_GL_GREEN_SIZE,
    BLUE_SIZE = SDL_GL_BLUE_SIZE,
    ALPHA_SIZE = SDL_GL_ALPHA_SIZE,
    BUFFER_SIZE = SDL_GL_BUFFER_SIZE,
    DOUBLEBUFFER = SDL_GL_DOUBLEBUFFER,
    DEPTH_SIZE = SDL_GL_DEPTH_SIZE,
    STENCIL_SIZE = SDL_GL_STENCIL_SIZE,
    ACCUM_RED_SIZE = SDL_GL_ACCUM_RED_SIZE,
    ACCUM_GREEN_SIZE = SDL_GL_ACCUM_GREEN_SIZE,
    ACCUM_BLUE_SIZE = SDL_GL_ACCUM_BLUE_SIZE,
    ACCUM_ALPHA_SIZE = SDL_GL_ACCUM_ALPHA_SIZE,
    STEREO = SDL_GL_STEREO,
    MULTISAMPLEBUFFERS = SDL_GL_MULTISAMPLEBUFFERS,
    MULTISAMPLESAMPLES = SDL_GL_MULTISAMPLESAMPLES,
    ACCELERATED_VISUAL = SDL_GL_ACCELERATED_VISUAL,
    CONTEXT_MAJOR_VERSION = SDL_GL_CONTEXT_MAJOR_VERSION,
    CONTEXT_MINOR_VERSION = SDL_GL_CONTEXT_MINOR_VERSION,
    CONTEXT_FLAGS = SDL_GL_CONTEXT_FLAGS,
    CONTEXT_PROFILE_MASK = SDL_GL_CONTEXT_PROFILE_MASK,
    SHARE_WITH_CURRENT_CONTEXT = SDL_GL_SHARE_WITH_CURRENT_CONTEXT,
    FRAMEBUFFER_SRGB_CAPABLE = SDL_GL_FRAMEBUFFER_SRGB_CAPABLE;

const SDL_GLcontextFlag CONTEXT_DEBUG_FLAG = SDL_GL_CONTEXT_DEBUG_FLAG,
    CONTEXT_FORWARD_COMPATIBLE_FLAG = SDL_GL_CONTEXT_FORWARD_COMPATIBLE_FLAG,
    CONTEXT_ROBUST_ACCESS_FLAG = SDL_GL_CONTEXT_ROBUST_ACCESS_FLAG,
    CONTEXT_RESET_ISOLATION_FLAG = SDL_GL_CONTEXT_RESET_ISOLATION_FLAG;

const SDL_GLprofile CONTEXT_PROFILE_CORE = SDL_GL_CONTEXT_PROFILE_CORE,
    CONTEXT_PROFILE_COMPATIBILITY = SDL_GL_CONTEXT_PROFILE_COMPATIBILITY,
    CONTEXT_PROFILE_ES = SDL_GL_CONTEXT_PROFILE_ES;

int loadLibrary(const char* path)
{
    return SDL_GL_LoadLibrary(path);
}

void unloadLibrary(void)
{
    SDL_GL_UnloadLibrary();
}

SDL_GLContext createContext(SDL_Window* window)
{
    return SDL_GL_CreateContext(window);
}

void deleteContext(SDL_GLContext context)
{
    SDL_GL_DeleteContext(context);
}

int setAttribute(SDL_GLattr attr, int value)
{
    return SDL_GL_SetAttribute(attr, value);
}

int makeCurrent(SDL_Window* window, SDL_GLContext context)
{
    return SDL_GL_MakeCurrent(window, context);
}

int setSwapInterval(int interval)
{
    return SDL_GL_SetSwapInterval(interval);
}

void swapWindow(SDL_Window* window)
{
    SDL_GL_SwapWindow(window);
}